Bug 753543 - Packaging MariaDB in Fedora
Summary: Packaging MariaDB in Fedora
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-13 09:47 UTC by Colin Charles
Modified: 2014-03-17 03:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-13 19:09:25 UTC
Type: ---


Attachments (Terms of Use)

Description Colin Charles 2011-11-13 09:47:23 UTC
Description of problem: MariaDB is an opensource branch of MySQL, with enhanced features, that aims to be backward compatible with MySQL. More information at http://www.mariadb.org/

Version-Release number of selected component (if applicable): 5.2 is currently the stable release. 5.3 is currently in beta, and includes solutions like HandlerSocket, a tonne of optimiser features and more. Its based on MySQL 5.1.

Additional info: MariaDB is a drop-in replacement to MySQL. In an ideal environment it should Obsolete: mysql. However this seems to be against Fedora packaging guidelines. Do we investigate using Alternatives?

Comment 1 Tom "spot" Callaway 2011-11-14 14:36:43 UTC
As I mentioned to you when we spoke last Colin, I see no reason why MariaDB could not be packaged using alternatives. Conflicting or Obsoleting MySQL would not be permitted.

Comment 2 Bill Nottingham 2011-11-15 04:33:17 UTC
... is this intended to be a package review bug? Or a general RFE?

Comment 3 Bill Nottingham 2011-12-13 19:09:25 UTC
Closing this - if someone wants MariaDB, they can open a package review.


Note You need to log in before you can comment on or make changes to this bug.